Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: "Lennart Borgman" <[email-masked]>
Date: Fri, 5 Sep 2008 15:18:55 +0200

On 9/5/08, Eli Zaretskii <[email-masked]> wrote:
> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  Jason Rumney <[email-masked]>,  [email-masked]
> > Date: Thu, 04 Sep 2008 23:11:10 -0400
> >
> > I think the problem comes earlier: the (let ((default-file-modes ?\700))
> > should make sure that the directory created there is owned by the use
> > and not by some Administator group.
>
> That's a different problem.  I don't see how it can be solved without
> introducing a new primitive, which on Windows will DTRT.  (I think
> GNU/Linux and Unix systems that support ACLs will need a similar
> primitive, but I don't know enough about those to say for sure.)

I thought that perhaps a workaround would be to changed the owner so I tested.

I did a test on the directory where I had trouble. I did something like

  (set-file-modes "serv2" ?\654)

CACLS still reports the same ACL entries.

I thought that maybe was because the owner is the group
Administrators. However changing the owner to me and trying
set-file-modes again gave the same result.

Am I perhaps not using set-file-modes correctly? (I get no errors.)